import { BrowserifyObject, CustomOptions } from "browserify";
import { FSWatcher, WatchOptions } from "chokidar";
declare module "browserify" {
    interface BrowserifyObject {
        _expose: {
            [id: number]: string;
        };
        _options: WatchifyBrowserifyOptions;
        _watcher: (file: string, opts: WatchOptions) => FSWatcher;
        close: () => void;
        on(event: "update", listener: (ids: string[]) => void): this;
        on(event: "bytes", listener: (bytes: number) => void): this;
        on(event: "time", listener: (time: number) => void): this;
        on(event: "log", listener: (message: string) => void): this;
    }
}
export interface WatchifyBrowserifyOptions {
    cache: {
        [file: string]: {
            source: string;
            deps: unknown;
        };
    };
    packageCache: {
        [file: string]: unknown;
    };
}
export interface WatchifyOptions extends CustomOptions {
    delay?: number;
    ignoreWatch?: string | string[];
    poll?: boolean | number;
}
export declare function watchify(b: BrowserifyObject, options?: WatchifyOptions): BrowserifyObject;
//# sourceMappingURL=index.d.ts.map